    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------
    028     * LineFunction2D.java
    029     * -------------------
    030     * (C) Copyright 2002-2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: LineFunction2D.java,v 1.3.2.1 2005/10/25 21:31:32 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 01-Oct-2002 : Version 1 (DG);
    040     *
    041     */
    042
    043    package org.jfree.data.function;
    044
    045
    046    /**
    047     * A function in the form y = a + bx.
    048     */
    049    public class LineFunction2D implements Function2D {
    050
    051        /** The intercept. */
    052        private double a;
    053
    054        /** The slope of the line. */
    055        private double b;
    056
    057        /**
    058         * Constructs a new line function.
    059         *
    060         * @param a  the intercept.
    061         * @param b  the slope.
    062         */
    063        public LineFunction2D(double a, double b) {
    064            this.a = a;
    065            this.b = b;
    066        }
    067
    068        /**
    069         * Returns the function value.
    070         *
    071         * @param x  the x-value.
    072         *
    073         * @return The value.
    074         */
    075        public double getValue(double x) {
    076            return this.a + this.b * x;
    077        }
    078
    079    }